import { JavaObject } from '../../../java/lang/JavaObject';
import { JavaIterator } from '../../../java/util/JavaIterator';
import { AVLMapSubMap } from '../../../core/adt/map/AVLMapSubMap';
export declare class AVLMapSubKeySetIterator<K, V> extends JavaObject implements JavaIterator<K> {
    private readonly _sub;
    private _current;
    private _next;
    /**
     * Erstellt einen neuen KEY-Iterator für die angegebene {@link AVLMapSubMap} im gültigen Bereich
     * {@link AVLMapIntervall}.
     *
     * @param sub Die {@link AVLMapSubMap} auf der operiert wird.
     */
    constructor(sub: AVLMapSubMap<K, V>);
    next(): K;
    hasNext(): boolean;
    remove(): void;
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_adt_map_AVLMapSubKeySetIterator<K, V>(obj: unknown): AVLMapSubKeySetIterator<K, V>;
